# Method: buyers.creatives.create

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/create#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/create#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/create#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/create#try-it)

Creates a creative.

### HTTP request

`POST https://realtimebidding.googleapis.com/v1/{parent=buyers/*}/creatives`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the parent buyer that the new creative belongs to that must follow the pattern `buyers/{buyerAccountId}`, where `{buyerAccountId}` represents the account ID of the buyer who owns a creative. For a bidder accessing creatives on behalf of a child seat buyer, `{buyerAccountId}` should represent the account ID of the child seat buyer. |

### Request body

The request body contains an instance of `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives#Creative`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives#Creative`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`